#ifndef n_nucleo_H
#define n_nucleo_H

/*
 *
 * nucleo/nucleo.H --
 *
 * Copyright (C) Nicolas Roussel
 *
 * See the file LICENSE for information on usage and redistribution of
 * this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 */

#include <string>

namespace nucleo {

#define NUCLEO_SUPPORTS_JPEG @HAVE_JPEG@
#define NUCLEO_SUPPORTS_PNG @HAVE_PNG@
#define NUCLEO_SUPPORTS_EXIF @HAVE_EXIF@

#define NUCLEO_SUPPORTS_OPENGL 1
#define NUCLEO_SUPPORTS_AGL 0
#define NUCLEO_SUPPORTS_GLX 1
#define NUCLEO_SUPPORTS_XINPUT 1
#define NUCLEO_SUPPORTS_FREETYPE2 1

#define NUCLEO_SUPPORTS_DNS_SD 1

#define NUCLEO_SUPPORTS_EXPAT 0
#define NUCLEO_SUPPORTS_GNUTLS 0

#define NUCLEO_SUPPORTS_VNC 1
#define NUCLEO_SUPPORTS_FFMPEG 1
#define NUCLEO_SUPPORTS_QT 1
#define NUCLEO_SUPPORTS_OPENCV 1

  std::string getNucleoVersion(void) ;
  std::string getNucleoPluginsDirectory(void) ;
  std::string getNucleoResourcesDirectory(void) ;

}

#endif
